complexType "FxAverageRateObservationSchedule"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 3 elements
Defined: | globally in fpml-fx-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | startDate, endDate, calculationPeriodFrequency
</...>

Content Model Elements (3):

  calculationPeriodFrequency (in observationSchedule), endDate (in observationSchedule), | startDate (in observationSchedule)

All Direct / Indirect Based Elements (1):

  observationSchedule

Known Usage Locations

- As direct type of elements (1):
  observationSchedule

Annotation
A type that describes average rate options rate observations. This is used to describe a parametric frequency of rate observations against a particular rate. Typical frequencies might include daily, every Friday, etc.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="FxAverageRateObservationSchedule"> <xsd:sequence> <xsd:element name="startDate" type="xsd:date"/> <xsd:element name="endDate" type="xsd:date"/> <xsd:element name="calculationPeriodFrequency" type="CalculationPeriodFrequency"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
calculationPeriodFrequency

  Type: | CalculationPeriodFrequency, complex content

  The frequency at which calculation period end dates occur with the regular part of the calculation period schedule and their roll date convention.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="calculationPeriodFrequency" type="CalculationPeriodFrequency"/>

endDate

  Type: | xsd:date, predefined, simple content

  The end of the period over which observations are made to determine whether a trigger event has occurred.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="endDate" type="xsd:date"/>

startDate

  Type: | xsd:date, predefined, simple content

  The start of the period over which observations are made to determine whether a trigger has occurred.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="startDate" type="xsd:date"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.